> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/venuedata/get-rate-plan-rate-list.md).

# Get Venue Rate Plan Rate List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getRatePlanRateList`

Get a list of menus.

#### Request Body

| Name    | Type    | Description                                           |
| ------- | ------- | ----------------------------------------------------- |
| venueId | integer | The id of the venue                                   |
| barId   | integer | The id of the rate plan                               |
| perPage | integer | The number of rate plan rates to get in a single call |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 2,
        "start": 0,
        "perPage": 50,
        "count": 2
    },
    "results": [
        {
            "id": 1,
            "barId": 1,
            "startDate": "2019-08-08",
            "endDate": "2022-04-23",
            "minAcceptableRate": 10,
            "daysOfWeek": [
                0,
                1,
                2,
                3,
                4,
                5,
                6
            ]
        },
        {
            "id": 4,
            "barId": 1,
            "startDate": "2023-04-24",
            "endDate": "2023-04-28",
            "minAcceptableRate": 50,
            "daysOfWeek": [
                0,
                6
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the rates the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

### Example Request

```javascript
{
  "venueId": 1,
  "barId": 1
}
```

### Rate Plan Rate

| Property          | Type                                                                                                                             | Description                                    |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| id                | integer                                                                                                                          | The unique id of the rate                      |
| barId             | integer                                                                                                                          | The unique id of the rate plan                 |
| startDate         | date                                                                                                                             | The start date of the rate                     |
| endDate           | date                                                                                                                             | The end date of the rate                       |
| minAcceptableRate | integer                                                                                                                          | The minimum acceptable rate for room rate plan |
| daysOfWeek        | array of [Days](https://github.com/ivvycode/apidocs/blob/master/venues/venuedata/get-rate-plan-rate-list/README.md#days-of-week) | Days of the week where rate applies            |

### Days of Week

* 0 = Sunday
* 1 = Monday
* 2 = Tuesday
* 3 = Wednesday
* 4 = Thursday
* 5 = Friday
* 6 = Saturday


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-rate-plan-rate-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
